RUDOF(SHEX-VALIDATE)

NAME
rudof shex-validate - Validate RDF using ShEx schemas

SYNOPSIS
rudof shex-validate [OPTIONS] [DATA]...

DESCRIPTION
Validate RDF using ShEx schemas

  Arguments:

    [DATA]...

OPTIONS

-s, --schema <INPUT>
    Schema file name, URI or - (for stdin)

-f, --schema-format <FORMAT>
    ShEx Schema format [possible values: internal, simple, shexc, shexj, json, jsonld, turtle, ntriples, rdfxml, trig, n3, nquads]

-m, --shapemap <INPUT>
    ShapeMap

--shapemap-format <FORMAT>
    ShapeMap format [default: compact] [possible values: compact, internal, json, details, csv]

-n, --node <NODE>
    Node to validate

--sort_by <SORT_MODE>
    Sort result by (default = node) [default: node] [possible values: node, shape, status, details]

-l, --shape-label <LABEL>
    shape label (default = START)

-t, --data-format <FORMAT>
    RDF Data format [default: turtle] [possible values: turtle, ntriples, rdfxml, trig, n3, nquads, jsonld, pg]

--base-schema <IRI>
    Base Schema (used to resolve relative IRIs in Schema)

--base-data <IRI>
    Base RDF Data IRI (used to resolve relative IRIs in RDF data)

--reader-mode <MODE>
    RDF Reader mode [default: strict] [possible values: lax, strict]

-e, --endpoint <NAME>
    Endpoint with RDF data (name or URL)

-r, --result-format <FORMAT>
    Ouput result format [default: details] [possible values: details, turtle, ntriples, rdfxml, trig, n3, nquads, compact, json, csv]

-o, --output-file <FILE>
    Output file name, default = terminal

-c, --config-file <FILE>
    Config file name

--force-overwrite
    Force overwrite to output file if it already exists

-h, --help
    Print help